Subject: Re: [MMUSIC] Confusion Regarding CPIM implementation

From: Paul Kyzivat <[email-masked]>
Date: Mon, 01 Dec 2008 10:04:35 -0500

What you ask is an implementation issue. We rarely if ever specify the 
implementation architecture. Its possible to implement the entire 
protocol in the application, or to split it up between a "stack" and the 
application in a variety of ways.

	Thanks,
	Paul

Nitesh Dahiya wrote:
> Hi all,
>  
> I came across a doubt when I was going through the MSRP RFC.
>  
> The RFC says (Section 13):
>  
> All MSRP endpoints *MUST* support the message/cpim type, and *SHOULD* 
> support the S/MIME[7] features of that format.
>  
> If a message is to be wrapped in a message/cpim envelope, the wrapping 
> *MUST* be done prior to breaking the message into chunks, if needed.
>  
> All MSRP endpoints *MUST* recognize the From, To, DateTime, and 
> Require header fields as defined in RFC 3862.
>  
>  
> My doubt is does MSRP Stack implementation have to inherently develop 
> CPIM Parser and Composer. Or should it be the Applicationthat is using 
> MSRP that will do it.
> My understanding is that Application should do it and MSRP will just 
> break into the chunks and send it across.
>  
> But I am not entirely clear.
>  
> Can anyone please help in clearing my confusion regarding this?
>  
> Thanks in advance...
>  
> Regards
> Nitesh
>  
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic